<?php
// $Id: manifestation-full-mlt.tpl.php,v 1.1.2.9 2010/09/16 15:45:58 pkiraly Exp $

/**
 * Template for the full record display's More Like This listing element.
 * 
 * Variables:
 * - $node_id
 * - $link
 * - $image_url
 * - $title_link
 * - $creator
 */

// FIXME: May be better in a theme function
?>
<li>
  <span id="coverart-<?php print $node_id; ?>" class="xc-mlt-coverart coverart">
    <input type="hidden" name="links" id="coverart-link-<?php print $node_id; ?>"
           value="<?php print $link; ?>"/>
    <a href="<?php print $link; ?>">
      <?php if ($image_url): ?>
        <img src="<?php print $image_url; ?>" alt="<?php print t('Cover image'); ?>"/>
      <?php else: ?>
        <img src="<?php print base_path() . drupal_get_path('module', 'xc_search') . '/images/blank-cover.gif'; ?>" alt="<?php print t('Cover image'); ?>"/>
      <?php endif; ?>
    </a>
  </span>

  <?php if($title_link): ?>
    <span class="xc-mlt-title"><?php print $title_link; ?></span>
  <?php endif; ?>

  <?php if($creator): ?>
    <span class="xc-mlt-author">by <?php print $creator; ?></span>
  <?php endif; ?>
</li>

