<?php
// $Id: manifestation-full.tpl.php,v 1.1.2.15 2010/09/16 19:40:47 pkiraly Exp $

// FIXME: This markup should not be in a table and it should be preprocessed
//        with variables since many of the labels are not translatable. Could
//        be partitioned or divided into sections and turned into smaller
//        template files.

// FIXME: This template file contains a lot of programming logic
?>

<div class="xc-full-section xc-full-section-result">
  <table class="xc-full-table">
    <tr>
      <td class="xc-full-result xc-hack-no-border">
        <table>
          <?php if ($title): ?>
            <tr>
              <td class="xc-label">Title:</td>
              <td><?php print $title; ?></td>
            </tr>
          <?php endif; ?>

          <?php if ($top_author_links): ?>
            <tr>
              <td class="xc-label">Creators/Authors:</td>
              <td><?php print $top_author_links; ?></td>
            </tr>
          <?php endif; ?>

          <?php if ($publisher || $placeOfProduction || $date): ?>
            <tr>
              <td class="xc-label">Publisher:</td>
              <td>
              <?php if ($placeOfProduction): ?>
                <?php print $placeOfProduction; ?>
              <?php endif; ?>

              <?php if ($publisher): ?>
                <?php print $publisher; ?>
              <?php endif; ?>

              <?php if ($date): ?>
                <?php print $date; ?>
              <?php endif; ?>
              </td>
            </tr>
          <?php endif ?>

          <?php if ($format || $language): ?>
            <tr>
              <td class="xc-label">Edition/Format:</td>
              <td>
                <?php if ($format): ?><?php print $format; ?><?php endif; ?>
                <?php if ($format && $language): ?>; <?php endif; ?>
                <?php if ($language): ?><?php print $language; ?><?php endif; ?>
                <?php if ($language && $editionStatement): ?>; <?php endif; ?>
                <?php if ($editionStatement): ?><?php print $editionStatement; ?><?php endif; ?>
              </td>
            </tr>
          <?php endif; ?>

          <?php if ($holdings_summary): ?>
            <tr>
              <td class="xc-label">Holdings Summary:</td>
              <td><?php print $holdings_summary; ?></td>
            </tr>
          <?php endif; ?>
        </table>
      </td>
      <td class="xc-full-coverart xc-hack-no-border">
        <div id="coverart-<?php print $node_id; ?>" class="coverart">
          <?php if ($image_url_large): ?>
            <a href="<?php print $image_url_large ?>" rel="lightbox"
               title="<?php if ($title): ?><?php print $title; ?><?php endif?><?php if ($creator): ?> by <?php print $creator; ?><?php endif?>">
              <img src="<?php print $image_url_medium; ?>" alt="" />
            </a>
          <?php elseif ($image_url_medium): ?>
            <img src="<?php print $image_url_medium; ?>" alt="" />
          <?php endif; ?>
        </div>
      </td>
    </tr>
  </table>
</div>

<div class="xc-full-section xc-full-section-find-copy">
  <fieldset class=" collapsible xc-full-fieldset">
    <legend>Find a Copy</legend>
    <table>
      <?php if ($url_identifiers): ?>
        <tr>
          <td class="xc-label">Online:</td>
          <td><?php print theme('item_list', $url_identifiers); ?></td>
        </tr>
      <?php else : ?>
        <tr class="xc-availability">
          <?php /* Folling line hides the label if there is only one row */ ?>
          <?php  if ($url_identifiers): ?>
            <td class="xc-label"><?php print t('Availability:') ?></td>
          <?php endif; ?>
          <td id="xc-availability-<?php print $node_id; ?>">
            <img src="<?php print $GLOBALS['base_path']; ?>sites/all/modules/xc/xc_search/images/ajax-loader.gif"
                 alt="<?php print t('Loading availability information'); ?>"
                 title="<?php print t('Loading availability information'); ?>" />
            <?php /* print theme('manifestation_full_locations', $locations) */ ?>
          </td>
        </tr>
      <?php endif; ?>
    </table>
  </fieldset>
</div>

<div class="xc-full-section xc-full-section-details">
  <fieldset class=" collapsible xc-full-fieldset">
    <legend>Details</legend>
    <table>
      <?php if ($genre):?>
        <tr>
          <td class="xc-label">Genre/Form:</td>
          <td><?php print $genre; ?></td>
        </tr>
      <?php endif; ?>


      <?php if ($natureOfContent): ?>
        <tr>
          <td class="xc-label">Material Type:</td>
          <td><?php print $natureOfContent; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($format):?>
        <tr>
          <td class="xc-label">Document Type:</td>
          <td><?php print $format; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($all_author_links): ?>
        <tr>
          <td class="xc-label">Other contributors:</td>
          <td><?php print $all_author_links; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($thesisAdvisor):?>
        <tr>
          <td class="xc-label">Thesis Advisor:</td>
          <td><?php print $thesisAdvisor; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($ISBN): ?>
        <tr>
          <td class="xc-label">ISBN:</td>
          <td><?php print $ISBN; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($ISSN): ?>
        <tr>
          <td class="xc-label">ISSN:</td>
          <td><?php print $ISSN; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($OCLC): ?>
        <tr>
          <td class="xc-label">OCLC:</td>
          <td><?php print $OCLC; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($dissertationOrTheses || $description): ?>
        <tr>
          <td class="xc-label">Notes:</td>
          <td>
          <?php if($dissertationOrTheses): ?>
            <?php print $dissertationOrTheses; ?>
          <?php endif; ?>
          <?php if($description): ?>
            <?php print $description; ?>
          <?php endif; ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if ($audience): ?>
        <tr>
          <td class="xc-label">Target Audience:</td>
          <td><?php print $audience; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($extent || $otherPhisicalDetails || $dimensions): ?>
        <tr>
          <td class="xc-label">Description:</td>
          <td>
            <?php if ($extent): ?>
              <?php print $extent; ?>
            <?php endif; ?>
            <?php if ($otherPhisicalDetails): ?>
              <?php print $otherPhisicalDetails; ?>
            <?php endif; ?>
            <?php if ($dimensions): ?>
              <?php print $dimensions; ?>
            <?php endif; ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if ($requires): ?>
        <tr>
          <td class="xc-label">Details:</td>
          <td><?php print $requires; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($tableOfContents): ?>
        <tr>
          <td class="xc-label">Contents:</td>
          <td><?php print $tableOfContents; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($titleOfWork): ?>
        <tr>
          <td class="xc-label">Other titles:</td>
          <td><?php print $titleOfWork; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($responsibility): ?>
        <tr>
          <td class="xc-label">Responsibility:</td>
          <td><?php print $responsibility; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($isPartOf): ?>
        <tr>
          <td class="xc-label">Series Title:</td>
          <td><?php print $isPartOf; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($abstract): ?>
        <tr>
          <td class="xc-label">Abstract:</td>
          <td><?php print $abstract; ?></td>
        </tr>
      <?php endif ?>
    </table>
  </fieldset>
</div>

<?php if ($summary): ?>
  <div class="xc-full-section xc-full-section-review">
    <fieldset class="collapsible xc-full-fieldset">
      <legend>Reviews</legend>
      <div><?php print $summary; ?></div>
    </fieldset>
  </div>
<?php endif ?>

<div class="xc-full-section xc-full-section-similar-items">
  <fieldset class="collapsible  xc-full-fieldset">
    <legend>Similar items</legend>
    <table>
      <?php if ($subject_topic || $subject_spatial || $subject_temporal): ?>
        <tr>
          <td class="xc-label">Related Subjects:</td>
          <td>
          <?php if ($subject_topic): ?>
            <?php print theme('item_list', $subject_topic, t('Topic'), 'ul',
                  array('class' => 'xc-search-subject')); ?>
          <?php endif; ?>

          <?php if ($subject_spatial): ?>
            <?php print theme('item_list', $subject_spatial, t('Region'), 'ul',
                  array('class' => 'xc-search-subject')); ?>
          <?php endif; ?>

          <?php if ($subject_temporal): ?>
            <?php print theme('item_list', $subject_temporal, t('Time period'), 'ul',
                  array('class' => 'xc-search-subject')); ?>
          <?php endif; ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if ($relations):?>
        <tr>
          <td class="xc-label">Related Resources:</td>
          <td><?php print $relations; ?></td>
        </tr>
      <?php endif; ?>

      <?php if ($mlts): ?>
        <tr>
          <td class="xc-label">Browse similar items:</td>
          <td>
            <ul id="xc-mlts">
              <?php foreach ($mlts as $mlt): ?>
                <?php print theme('manifestation_full_mlt', $mlt); ?>
              <?php endforeach; ?>
            </ul>
          </td>
        </tr>
      <?php endif; // if mlt?>
    </table>
  </fieldset>
</div>

<?php if($has_admin_right): ?>
  <?php $processed_fields = array('id', 'node_id', 'timestamp', 'type', 'node_type',
  'processed', 'metadata_id', 'metadata_type', 'syndetics_ids', 'image_url',
  'dcterms:tableOfContents',
  'rdvocab:titleOfWork', 'dcterms:description', 'xc:relation', 'dcterms:relation',
  'rdvocab:placeOfPublication', 'xc:workExpressed', 'xc:expressionManifested',
  'xc:recordID_OCoLC', 'dcterms:extent', 'mlt', 'xc:subject', 'dcterms:subject',
  'rdvocab:natureOfContent', 'dcterms:identifier_ISBN', 'summary', 'language',
  'xc:isPartOf', 'dcterms:isPartOf', 'rdvocab:placeOfProduction',
  'dcterms:identifier', 'rdvocab:editionStatement', 'mlts', 'holdings_summary',
  'rdvocab:statementOfResponsibilityRelatingToTitle', 'dcterms:audience',
  // display template elements
  'dcterms:language', 'xc:spacial', 'xc:spatial', // language

  // special fields
  'image_url_large', 'image_url_medium', 'status', 'serialized_tsn',  'locations',
  // facets
  'format', 'classification', 'topic', 'date', 'genre', 'subject', 'authors_contributors',
  'other_contributors', 'related_resources', 'subject_temporal', 'subject_topic',
  ); ?>

  <div class="xc-full-section xc-full-section-other-fields">
    <fieldset class="collapsible xc-full-fieldset">
      <legend>Other fields</legend>
      <table>
        <?php foreach ($xc_record as $key => $value): ?>
          <?php if (!in_array($key, $processed_fields)): ?>
            <tr>
              <td class="xc-label"><?php print $key; ?></td>
              <td><?php print xc_util_conditional_join('<br/>', $value); ?></td>
            </tr>
          <?php endif; ?>
        <?php endforeach; ?>
      </table>
    </fieldset>
  </div>
<?php endif; // has_admin_rights ?>